Uses of Interface
com.eqixiac.equinix.fabric.model.Port
Packages that use Port
Package
Description
Fabric domain client interfaces for the Equinix Java SDK.
Fabric domain model interfaces for the Equinix Java SDK.
-
Uses of Port in com.eqixiac.equinix.fabric.client
Methods in com.eqixiac.equinix.fabric.client that return PortModifier and TypeMethodDescriptionDeletes a port by its unique identifier (DELETE /fabric/v4/ports/{uuid}).Deletes a port by its unique identifier, optionally as a validate-only dry run (DELETE /fabric/v4/ports/{uuid}?dryRun=true; spec: "option to verify that API calls will succeed"; boolean, defaultfalse).Retrieves a single port by its unique identifier.Methods in com.eqixiac.equinix.fabric.client that return types with arguments of type PortModifier and TypeMethodDescriptionPorts.list()Lists all ports accessible to the current account (GET /fabric/v4/ports).Ports.search()Searches for ports using default filter and sort criteria.Ports.search(FilterPropertyList filter) Searches for ports matching the specified filter criteria.Ports.search(FilterPropertyList filter, SortPropertyList sort) Searches for ports matching the specified filter and sort criteria.Ports.search(SortPropertyList sort) Searches for ports with the specified sort order. -
Uses of Port in com.eqixiac.equinix.fabric.client.implementation
Methods in com.eqixiac.equinix.fabric.client.implementation that return PortModifier and TypeMethodDescriptionMethods in com.eqixiac.equinix.fabric.client.implementation that return types with arguments of type PortModifier and TypeMethodDescriptionPortsImpl.list()PortsImpl.search()PortsImpl.search(FilterPropertyList filter) PortsImpl.search(FilterPropertyList filter, SortPropertyList sort) PortsImpl.search(SortPropertyList sort) -
Uses of Port in com.eqixiac.equinix.fabric.client.internal.implementation
Subclasses with type arguments of type Port in com.eqixiac.equinix.fabric.client.internal.implementationClasses in com.eqixiac.equinix.fabric.client.internal.implementation that implement interfaces with type arguments of type PortMethods in com.eqixiac.equinix.fabric.client.internal.implementation that return Port -
Uses of Port in com.eqixiac.equinix.fabric.model
Methods in com.eqixiac.equinix.fabric.model that return Port -
Uses of Port in com.eqixiac.equinix.fabric.model.implementation
Methods in com.eqixiac.equinix.fabric.model.implementation with parameters of type PortModifier and TypeMethodDescription -
Uses of Port in com.eqixiac.equinix.fabric.model.json.creators
Subclasses with type arguments of type Port in com.eqixiac.equinix.fabric.model.json.creatorsModifier and TypeClassDescriptionclassFluent create/update entry point for Fabric ports, mirroring the route-filter operator.Methods in com.eqixiac.equinix.fabric.model.json.creators that return PortModifier and TypeMethodDescriptionPortOperator.PortBuilder.create()PortOperator.PortUpdater.save()Applies the accumulated changes and returns the port refreshed from the server.Methods in com.eqixiac.equinix.fabric.model.json.creators with parameters of type PortModifier and TypeMethodDescriptionConnectionOperator.ConnectionBuilder.aSideAccessPoint(Port port, LinkProtocol linkProtocol) ConnectionOperator.ConnectionBuilder.zSideAccessPoint(Port port, LinkProtocol linkProtocol) Constructor parameters in com.eqixiac.equinix.fabric.model.json.creators with type arguments of type Port -
Uses of Port in com.eqixiac.equinix.fabric.model.wrappers
Classes in com.eqixiac.equinix.fabric.model.wrappers that implement PortSubclasses with type arguments of type Port in com.eqixiac.equinix.fabric.model.wrappersMethods in com.eqixiac.equinix.fabric.model.wrappers that return PortConstructor parameters in com.eqixiac.equinix.fabric.model.wrappers with type arguments of type Port